// LEGAL NOTICE: This code follows the GNU licence.
// Authors: Camilo Nemocon

package vrpnforprocessing03;

import java.io.*;
import java.util.*;
import vrpn.*;
import java.util.Timer;
import java.util.TimerTask;


public class vrpnPhaseSpace
implements vrpn.TrackerRemote.PositionChangeListener

{
      
      static int tiempo =0;
      static int censoresTotales = 32;
      static boolean darInfo = false;
      
      public static float[]posicionX = new float[censoresTotales];

      public static float[]posicionY = new float[censoresTotales];

      public static float[]posicionZ= new float[censoresTotales];

public void trackerPositionUpdate
(TrackerRemote.TrackerUpdate u, TrackerRemote tracker)
{
	posicionX[u.sensor] = (float) u.pos[0];
	posicionY[u.sensor] = (float) u.pos[1];
	posicionZ[u.sensor] = (float) u.pos[2];
     //imprimir();
}


public static float [] getPosx()
{
	return posicionX;
}

public static float [] getPosy()
{
	return posicionY;
}

public static float [] getPosz()
{
	return posicionZ;
}

public static void imprimir()
{

 /*   for(int i=0; i<32; i++)
	{
			System.out.println("sensor:  " + i +"  "+"position:  " + posicionX[i] + " " + posicionY[i] + " " + posicionZ[i]);	  
 } */

for(int i=0; i<32; i++)
	{
System.out.println("sensor:  " + i +"  "+"position:  " + getPosx()[i] + " " +  getPosy()[i] +  " " + getPosz()[i]); 
}  

}


public void conectar()
//public static void main( String[] args )
{      
//imprimir;

String trackerName = "TrackerPhase@tcp://157.253.192.136";

TrackerRemote tracker =null;
BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
try
{
		tracker = new TrackerRemote( trackerName, null, null, null, null );
}
catch( InstantiationException e )
{
    	System.out.println( "We couldn't connect to phase space " + trackerName + "." );
        System.out.println( e.getMessage());
               
      try
      {
         System.out.println( "hit enter to end" );
         String s = in.readLine();
      }
      
      catch (IOException ioe) {}
     return;
}
	
vrpnPhaseSpace test;
 test = new vrpnPhaseSpace();
tracker.addPositionChangeListener( test );
 System.out.println("Phase Space listo!");
 System.out.println( "VRPN PROCESSING PHASE SPACE by XOR MEDIA LAB" );
}	
}
